cordova.define("org.nypr.cordova.vlcplugin.AudioPlayer", function(require, exports, module) {
var exec = require("cordova/exec");

/**
 * This is a global variable called exposed by cordova
 */    
var AudioPlayer = function(){};

AudioPlayer.prototype.configure = function(success, error) {
  exec(success, error, "AudioPlayerPlugin", "init",[]);
};

AudioPlayer.prototype.getaudiostate = function(success, error) {
  exec(success, error, "AudioPlayerPlugin", "getaudiostate",[]);
};

AudioPlayer.prototype.playstream = function(success, error, stream, info, extra) {
  exec(success, error, "AudioPlayerPlugin", "playstream",[stream, info, extra]);
};

AudioPlayer.prototype.playfile = function(success, error, url, info, position, extra) {
  exec(success, error, "AudioPlayerPlugin", "playfile", [url, info, position, extra]);
};

AudioPlayer.prototype.pause = function(success, error) {
  exec(success, error, "AudioPlayerPlugin", "pause", []);
};

AudioPlayer.prototype.stop = function(success, error) {
  exec(success, error, "AudioPlayerPlugin", "stop", []);
};

AudioPlayer.prototype.setaudioinfo = function(success, error, json) {
  exec(success, error, "AudioPlayerPlugin", "setaudioinfo", json);
};

AudioPlayer.prototype.seek = function(success, error, interval) {
  exec(success, error, "AudioPlayerPlugin", "seek", [interval]);
};

AudioPlayer.prototype.seekto = function(success, error, position) {
  exec(success, error, "AudioPlayerPlugin", "seekto", [position]);
};

AudioPlayer.prototype.setuseragent = function(success, error, userAgent, readableName) {
  exec(success, error, "AudioPlayerPlugin", "setuseragent", [userAgent, readableName]);
};

AudioPlayer.prototype.setpreviousenabled = function(success, error, enabled) {
  exec(success, error, "AudioPlayerPlugin", "setpreviousenabled", [enabled]);
};

AudioPlayer.prototype.setnextenabled = function(success, error, enabled) {
  exec(success, error, "AudioPlayerPlugin", "setnextenabled", [enabled]);
};

module.exports = new AudioPlayer();

});
