cordova.define('cordova/plugin_list', function(require, exports, module) {
module.exports = [
    {
        "file": "plugins/cordova-plugin-media/www/MediaError.js",
        "id": "cordova-plugin-media.MediaError",
        "clobbers": [
            "window.MediaError"
        ]
    },
    {
        "file": "plugins/cordova-plugin-media/www/Media.js",
        "id": "cordova-plugin-media.Media",
        "clobbers": [
            "window.Media"
        ]
    },
    {
        "file": "plugins/cordova-plugin-device/www/device.js",
        "id": "cordova-plugin-device.device",
        "clobbers": [
            "device"
        ]
    },
    {
        "file": "plugins/cordova-plugin-splashscreen/www/splashscreen.js",
        "id": "cordova-plugin-splashscreen.SplashScreen",
        "clobbers": [
            "navigator.splashscreen"
        ]
    },
    {
        "file": "plugins/cordova-plugin-inappbrowser/www/inappbrowser.js",
        "id": "cordova-plugin-inappbrowser.inappbrowser",
        "clobbers": [
            "cordova.InAppBrowser.open",
            "window.open"
        ]
    },
    {
        "file": "plugins/cordova-plugin-network-information/www/network.js",
        "id": "cordova-plugin-network-information.network",
        "clobbers": [
            "navigator.connection",
            "navigator.network.connection"
        ]
    },
    {
        "file": "plugins/cordova-plugin-network-information/www/Connection.js",
        "id": "cordova-plugin-network-information.Connection",
        "clobbers": [
            "Connection"
        ]
    },
    {
        "file": "plugins/cordova-plugin-statusbar/www/statusbar.js",
        "id": "cordova-plugin-statusbar.statusbar",
        "clobbers": [
            "window.StatusBar"
        ]
    },
    {
        "file": "plugins/phonegap-plugin-mobile-accessibility/www/mobile-accessibility.js",
        "id": "phonegap-plugin-mobile-accessibility.mobile-accessibility",
        "clobbers": [
            "window.MobileAccessibility"
        ]
    },
    {
        "file": "plugins/phonegap-plugin-mobile-accessibility/www/MobileAccessibilityNotifications.js",
        "id": "phonegap-plugin-mobile-accessibility.MobileAccessibilityNotifications",
        "clobbers": [
            "MobileAccessibilityNotifications"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.filelistdownloadplugin/www/filelistdownload.js",
        "id": "org.nypr.cordova.filelistdownloadplugin.FileListDownload",
        "clobbers": [
            "filelistdownload"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.flurryplugin/www/flurry.js",
        "id": "org.nypr.cordova.flurryplugin.Flurry",
        "clobbers": [
            "flurry"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.googleanalyticsplugin/www/googleanalytics.js",
        "id": "org.nypr.cordova.googleanalyticsplugin.GoogleAnalytics",
        "clobbers": [
            "googleanalytics"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.hockeyappplugin/www/hockeyapp.js",
        "id": "org.nypr.cordova.hockeyappplugin.HockeyApp",
        "clobbers": [
            "hockeyapp"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.vlcplugin/www/audioplayer.js",
        "id": "org.nypr.cordova.vlcplugin.AudioPlayer",
        "clobbers": [
            "audioplayer"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.sleeptimerplugin/www/sleeptimer.js",
        "id": "org.nypr.cordova.sleeptimerplugin.SleepTimer",
        "clobbers": [
            "sleeptimer"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.wakeupplugin/www/wakeup.js",
        "id": "org.nypr.cordova.wakeupplugin.Wakeup",
        "clobbers": [
            "wakeuptimer"
        ]
    },
    {
        "file": "plugins/com.plugin.datepicker/www/android/DatePicker.js",
        "id": "com.plugin.datepicker.DatePicker",
        "clobbers": [
            "datePicker"
        ]
    },
    {
        "file": "plugins/am.armsoft.plugins.ListPicker/www/ListPicker.js",
        "id": "am.armsoft.plugins.ListPicker.ListPicker",
        "clobbers": [
            "window.plugins.listpicker"
        ]
    },
    {
        "file": "plugins/org.nypr.cordova.nyprappplugin/www/nyprapp.js",
        "id": "org.nypr.cordova.nyprappplugin.NYPRApp",
        "clobbers": [
            "nyprapp"
        ]
    }
];
module.exports.metadata = 
// TOP OF METADATA
{
    "cordova-plugin-whitelist": "1.3.3",
    "cordova-plugin-compat": "1.2.0",
    "cordova-plugin-media": "2.4.1",
    "cordova-plugin-device": "2.0.2",
    "cordova-plugin-splashscreen": "5.0.2",
    "cordova-plugin-inappbrowser": "3.0.0",
    "cordova-plugin-network-information": "2.0.1",
    "cordova-plugin-statusbar": "2.4.2",
    "phonegap-plugin-mobile-accessibility": "1.0.5-dev",
    "org.nypr.cordova.filelistdownloadplugin": "0.1.0",
    "org.nypr.cordova.flurryplugin": "0.1.0",
    "org.nypr.cordova.googleanalyticsplugin": "0.1.0",
    "org.nypr.cordova.hockeyappplugin": "0.1.0",
    "org.nypr.cordova.vlcplugin": "0.1.0",
    "org.nypr.cordova.sharesocialplugin": "0.1.0",
    "org.nypr.cordova.sleeptimerplugin": "0.1.0",
    "org.nypr.cordova.wakeupplugin": "0.1.0",
    "com.plugin.datepicker": "0.3.22",
    "am.armsoft.plugins.ListPicker": "2.0",
    "org.nypr.cordova.nyprappplugin": "0.1.0"
};
// BOTTOM OF METADATA
});